Subject: Re: linux-next: duplicate patches in the ipvs-next tree

From: Simon Horman <[email-masked]>
Date: Wed, 16 Oct 2024 18:08:42 +0100

On Wed, Oct 16, 2024 at 09:23:27AM +0200, Pablo Neira Ayuso wrote:
> On Wed, Oct 16, 2024 at 11:57:41AM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > The following commits are also in the netfilter-next tree as different
> > commits (but the same patches):
> > 
> >   3478b99fc515 ("netfilter: nf_tables: prefer nft_trans_elem_alloc helper")
> >   73e467915aab ("netfilter: nf_tables: replace deprecated strncpy with strscpy_pad")
> >   0398cffb7459 ("netfilter: nf_tables: Fix percpu address space issues in nf_tables_api.c")
> >   cb3d289366b0 ("netfilter: Make legacy configs user selectable")
> > 
> > These are commits
> > 
> >   08e52cccae11 ("netfilter: nf_tables: prefer nft_trans_elem_alloc helper")
> >   544dded8cb63 ("netfilter: nf_tables: replace deprecated strncpy with strscpy_pad")
> >   0741f5559354 ("netfilter: nf_tables: Fix percpu address space issues in nf_tables_api.c")
> >   6c959fd5e173 ("netfilter: Make legacy configs user selectable")
> > 
> > in the netfilter-next tree.
> > 
> > These have already caused an unnecessary conflict due to further commits
> > in the ipvs-next tree.  Maybe you could share a stable branch?
> 
> That was the result of a rebase, moving forward I will keep PR in a
> separated branch until they are merged upstream to avoid this
> situation.

Hi,

I have force-pushed ipvs-next so it now matches netfilter-next.
I expect that should resolve this problem.

Thanks!